Package com.beust.jcommander.converters

# Class FileConverter

java.lang.Object
com.beust.jcommander.converters.FileConverter

All Implemented Interfaces:
  `IStringConverter<File>`

public class FileConverter extends Object implements IStringConverter<File>
Convert a string into a file.

## Constructor Summary

Constructors
Constructor
Description
`FileConverter()`

## Method Summary

Modifier and Type
Method
Description
`File`
`convert(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileConverter

public FileConverter()

## Method Details

### convert

public File convert(String value)

Specified by:
  `convert` in interface `IStringConverter<File>`
Returns:
  an object of type <T> created from the parameter value.